Skip to main content
GET
/
v3
/
fetch
C#
using Prove.Proveapi;
using Prove.Proveapi.Models.Components;

var sdk = new ProveAPI(auth: "<YOUR_AUTH_HERE>");

var res = await sdk.Identity.V3FetchRequestAsync(
    proveId: "<id>",
    attributeId: "<id>"
);

// handle response
{
  "results": [
    {
      "attributeId": "550e8400-e29b-41d4-a716-446655440000",
      "issuerId": "Aeropay",
      "attributeValue": "ext-wallet-992834"
    },
    {
      "attributeId": "550e8400-e29b-41d4-a716-446655440000",
      "issuerId": "Aeropay",
      "attributeValue": "ext-wallet-992834"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the /token endpoint. Refer to the Authentication page for more details.

Query Parameters

proveId
string
required

A unique Prove-generated identifier for the enrolled identity (UUID).

attributeId
string
required

A unique identifier for the identity attribute (UUID), as returned by the discover endpoint.

clientRequestId
string

A client-generated unique ID for a specific session. This can be used to identify specific requests. The format of this ID is defined by the client - Prove recommends using a GUID, but any format can be accepted. Do not include Personally Identifiable Information (PII) in this field.

Response

V3FetchResponse

Response body for the Fetch API GET method.

results
FetchResult represents a single identity attribute result. · object[]
required

Array of identity attribute results containing attributeId, issuerId, and attributeValue.